MBeanUtil (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.util
Class MBeanUtil

    java.lang.Object
      org.apache.hadoop.metrics.util.MBeanUtil

Deprecated. in favor of `MBeans`.

    @Deprecated
    @InterfaceAudience.LimitedPrivate(value={"HDFS","MapReduce"})
    public class MBeanUtil

extends Object

This util class provides a method to register an MBean using our standard naming convention as described in the doc for `registerMBean(String, String, Object)`

Constructor Summary
`MBeanUtil()` Deprecated.

Method Summary
`static ObjectName` | `registerMBean(String serviceName, String nameName, Object theMbean)` Deprecated. Register the MBean using our standard MBeanName format "hadoop:service=,name=" Where the and are the supplied parameters
`static void` | `unregisterMBean(ObjectName mbeanName)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanUtil

    public MBeanUtil()

  Deprecated.

Method Detail

### registerMBean

    public static ObjectName registerMBean(String serviceName,
                                           String nameName,
                                           Object theMbean)

  Deprecated.
  Register the MBean using our standard MBeanName format "hadoop:service=,name=" Where the and are the supplied parameters

  Parameters:
    `serviceName` -
    `nameName` -
    `theMbean` - - the MBean to register
  Returns:
    the named used to register the MBean

### unregisterMBean

    public static void unregisterMBean(ObjectName mbeanName)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation